
Smart Proxy - Bug #8926

foreman-prepare-realm on EL6 fails to set correct permissions for ipa-server-4

01/13/2015 09:40 AM - Josh Baird

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Realm   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running the 'foreman-prepare-realm' script on a EL6 host against a FreeIPA/IdM 4 server, the script will set the incorrect

permissions and cause the 'Add Host Enrollment' action to fail:

[Tue Jan 13 08:09:36.467528 2015] [:error] [pid 8158] ipa: INFO: [xmlserver] realm-proxy@QA-UNIX.FOLLETT.COM:

host_add(u'imqa-d1-cl01.corp.follett.com', random=1, setattr=(u'userclass=role-corp-base',), force=1, version=u'2.51'): ACIError

Related issues:

Related to Smart Proxy - Bug #18850: FreeIPA REALM > Insufficient 'add' privi... Duplicate 03/08/2017

History

#1 - 01/13/2015 09:41 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Realm to Realm

#2 - 01/13/2015 09:43 AM - Josh Baird

Actual error in ipa log:

[Tue Jan 13 08:09:36.467641 2015] [:error] [pid 8158] ipa: DEBUG: response: ACIError: Insufficient access: Insufficient 'add' privilege to the

'userPassword' attribute

#3 - 01/13/2015 09:47 AM - Stephen Benjamin

Thanks!  Looks like I need to figure out the IPA server version based on 'ipa ping' instead of 'ipa --version'.

If anyone else comes here looking for a solution, for now copy foreman-prepare-realm to a server running IPA v4 tools (e.g. the IPA server itself), and

run the script from there.

#4 - 03/08/2017 05:28 PM - Anonymous

- Related to Bug #18850: FreeIPA REALM > Insufficient 'add' privilege to the 'userPassword' attribute added

#5 - 03/08/2017 05:31 PM - Yama Kasi

Stephen Benjamin wrote:

Thanks!  Looks like I need to figure out the IPA server version based on 'ipa ping' instead of 'ipa --version'.

If anyone else comes here looking for a solution, for now copy foreman-prepare-realm to a server running IPA v4 tools (e.g. the IPA server itself),

and run the script from there.

 As this is my setup it didn't fix it. Any other solution for now ?

#6 - 03/08/2017 05:38 PM - Anonymous

You copied the script to the ipa server and executed it there, and it didn't fix the issue?
#7 - 03/09/2017 05:08 AM - Yama Kasi

Dmitri Dolguikh wrote:

You copied the script to the ipa server and executed it there, and it didn't fix the issue?

 The proxy is installed on the IPA server so it's runned there.

#8 - 05/20/2017 11:00 AM - Anonymous

What's the status here?

#9 - 06/02/2017 06:50 PM - Anonymous

- Status changed from New to Resolved

no reaction, closing
